/* Definitionen fr den I2C-Bus-Anschluss als Master */

#ifndef _I2C_INCLUDED
#define _I2C_INCLUDED

#define I2CREAD   1
#define I2CWRITE  0


   /* Init I2C-Logik */
extern void I2C_Init (void);

   /* bertragung starten und adressieren */
extern bool Do_I2C_Start (byte Adresse, bool R_W); /* Result = Acknowledge-Bit */

   /* ein Byte schreiben */
extern bool Do_I2C_Write (byte aByte);             /* Result = Acknowledge-Bit */

   /* ein Byte lesen */
extern byte Do_I2C_Read   (bool Acknowledge);      /* Result = gelesenes Byte */

   /* bertragung stoppen */
extern void Do_I2C_Stop (void);

#endif
